diff -rupN linux-2.6.18.1_orig//fs/Kconfig linux-2.6.18.1//fs/Kconfig
--- linux-2.6.18.1_orig//fs/Kconfig	2006-10-18 02:19:13.000000000 +0200
+++ linux-2.6.18.1//fs/Kconfig	2011-01-17 23:59:17.000000000 +0100
@@ -1250,21 +1250,22 @@ config CRAMFS
 	  If unsure, say N.
 
 config SQUASHFS
-	tristate "SquashFS 3.1 - Squashed file system support"
+	tristate "SquashFS 3.4 - Squashed file system support"
 	select ZLIB_INFLATE
 	help
-	  Saying Y here includes support for SquashFS 3.1 (a Compressed Read-Only File
-	  System).  Squashfs is a highly compressed read-only filesystem for Linux.
-	  It uses zlib compression to compress both files, inodes and directories.
-	  Inodes in the system are very small and all blocks are packed to minimise
-	  data overhead. Block sizes greater than 4K are supported up to a maximum of 64K.
-	  SquashFS 3.1 supports 64 bit filesystems and files (larger than 4GB), full
-	  uid/gid information, hard links and timestamps.
-
-	  Squashfs is intended for general read-only filesystem use, for archival
-	  use (i.e. in cases where a .tar.gz file may be used), and in embedded
-	  systems where low overhead is needed.  Further information and filesystem tools
-	  are available from http://squashfs.sourceforge.net.
+	  Saying Y here includes support for SquashFS 3.4 (a Compressed
+	  Read-Only File System).  Squashfs is a highly compressed read-only
+	  filesystem for Linux.  It uses zlib compression to compress both
+	  files, inodes and directories.  Inodes in the system are very small
+	  and all blocks are packed to minimise data overhead. Block sizes
+	  greater than 4K are supported up to a maximum of 1 Mbytes (default
+	  block size 128K).  SquashFS 3.3 supports 64 bit filesystems and files
+	  (larger than 4GB), full uid/gid information, hard links and timestamps.  
+
+	  Squashfs is intended for general read-only filesystem use, for
+	  archival use (i.e. in cases where a .tar.gz file may be used), and in
+	  embedded systems where low overhead is needed.  Further information
+	  and filesystem tools are available from http://squashfs.sourceforge.net.
 
 	  If you want to compile this as a module ( = code which can be
 	  inserted in and removed from the running kernel whenever you want),
@@ -1276,13 +1277,11 @@ config SQUASHFS
 
 config SQUASHFS_EMBEDDED
 
-	bool "Additional options for memory-constrained systems" 
+	bool "Additional option for memory-constrained systems" 
 	depends on SQUASHFS
 	default n
 	help
-	  Saying Y here allows you to specify cache sizes and how Squashfs
-	  allocates memory.  This is only intended for memory constrained
-	  systems.
+	  Saying Y here allows you to specify cache size.
 
 	  If unsure, say N.
 
@@ -1300,20 +1299,6 @@ config SQUASHFS_FRAGMENT_CACHE_SIZE
 	  Note there must be at least one cached fragment.  Anything
 	  much more than three will probably not make much difference.
 
-config SQUASHFS_VMALLOC
-	bool "Use Vmalloc rather than Kmalloc" if SQUASHFS_EMBEDDED
-	depends on SQUASHFS
-	default n
-	help
-	  By default SquashFS uses kmalloc to obtain fragment cache memory.
-	  Kmalloc memory is the standard kernel allocator, but it can fail
-	  on memory constrained systems.  Because of the way Vmalloc works,
-	  Vmalloc can succeed when kmalloc fails.  Specifying this option
-	  will make SquashFS always use Vmalloc to allocate the
-	  fragment cache memory.
-
-	  If unsure, say N.
-
 config VXFS_FS
 	tristate "FreeVxFS file system support (VERITAS VxFS(TM) compatible)"
 	help
